API Documentation
=================

.. module:: brotli

This section of the documentation covers the API of brotlipy.

Decompression
-------------

.. automethod:: brotli.decompress

.. autoclass:: brotli.Decompressor
  :inherited-members:

Compression
-----------

.. automethod:: brotli.compress

.. autoclass:: brotli.Compressor
   :members:

.. autoclass:: brotli.BrotliEncoderMode
   :members:

.. autodata:: brotli.BROTLI_DEFAULT_MODE

Errors
------

.. autoclass:: brotli.Error

.. autodata:: brotli.error
